aboutsummaryrefslogtreecommitdiff
path: root/build
diff options
context:
space:
mode:
authorJoshua M. Boniface <joshua@boniface.me>2019-01-21 13:28:40 -0500
committerGitHub <noreply@github.com>2019-01-21 13:28:40 -0500
commit571afa4fe2322796e172ce5b7214a18ff52696da (patch)
tree8f5ffc29b3e0f6827bb76630acf5bcd02fdd0d7a /build
parent42f2799d66578707dc30ceefcc39efddb4daeb99 (diff)
parent384f867228cc38d6e9eeedc16f14af7345df220c (diff)
Merge pull request #655 from joshuaboniface/local-web-branch
Support trying local branches in submodule
Diffstat (limited to 'build')
-rwxr-xr-xbuild18
1 files changed, 14 insertions, 4 deletions
diff --git a/build b/build
index b922cf72a9..5c081af6e5 100755
--- a/build
+++ b/build
@@ -171,10 +171,20 @@ if ! git diff-index --quiet HEAD --; then
fi
git fetch --all
-git checkout origin/${web_branch} || {
- echo "ERROR: 'jellyfin-web' branch ${web_branch} is invalid."
- exit 1
-}
+# If this is an official branch name, fetch it from origin
+official_branches_regex="^master$|^dev$|^release-.*$|^hotfix-.*$"
+if [[ ${web_branch} =~ ${official_branches_regex} ]]; then
+ git checkout origin/${web_branch} || {
+ echo "ERROR: 'jellyfin-web' branch 'origin/${web_branch}' is invalid."
+ exit 1
+ }
+# Otherwise, just check out the local branch (for testing, etc.)
+else
+ git checkout ${web_branch} || {
+ echo "ERROR: 'jellyfin-web' branch '${web_branch}' is invalid."
+ exit 1
+ }
+fi
popd
# Execute each platform and action in order, if said action is enabled